* {
    padding: 0;
    margin: 0;
}

#gallary {
    /* height: 80vh; */
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 15px;
    padding: 25px;
}

.gallary_container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 400px;
    width: 250px;
    background: lightblue;
    border-radius: 20px;
    position: relative;
    margin: 25px;
    overflow: hidden;
}

.photo {
    height: 300px;
    width: 220px;
    position: relative;
    border-radius: 20px;
    overflow: hidden;
}

.photo:hover {
    transform: scale(1.1);
}

.content {
    border-radius: 20px;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    background-image: linear-gradient(rgb(255, 0, 0), rgba(255, 0, 0, 0), rgb(255, 0, 0));
    height: 100%;
    width: 100%;
    top: 0;
    left: -100%;
    color: white;
    font-size: 1.4rem;
    box-sizing: border-box;
    transition: all 1s ease-in-out;
}

.content h3 {
    font-size: 1.8rem;
    margin-bottom: 15px;
}

.content a {
    font-size: 1.8rem;
    margin-top: 15px;
    text-decoration: none;
    color: white;
    cursor: pointer;
}

.content a:hover {
    color: rgb(81, 255, 0);
}

.gallary_container:hover .content {
    left: 0;
}

/* footer */
.foo {
    margin-top: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: black;
    color: white;
    padding: 5px;
}